Index: trunk/admin/aggiornadb.php
===================================================================
--- trunk/admin/aggiornadb.php	(revision 362)
+++ trunk/admin/aggiornadb.php	(revision 363)
@@ -23,10 +23,10 @@
 		$res->execute();
 		$ret= 1;
-        }
+    }
 	catch(PDOException $e)
 	{
-	 $ret=0;
-	 echo "<br>".$num.") Fallito: $sql";
-	 return $ret;
+		$ret=0;
+		echo "<br><span style=\"color: red;\">- Aggiornamento Fallito: $sql</span>";
+		return $ret;
 	}
 
@@ -40,9 +40,9 @@
 		{
 		  $ret=0;
-		  echo "<br>".$num.") Fallito: $sql2";
+		  echo "<br><span style=\"color: red;\">- Aggiornamento Fallito: $sql2</span>";
 		  return $ret;
 		}
 	} 
-	echo "<br>".$num.") Aggiornato<br>";
+	echo "<br><span style=\"color: green;\">- Aggiornamento eseguito correttamente</span>";
 	return $ret;
 }
@@ -61,7 +61,7 @@
 		catch(PDOException $e)
 		{
-		 $ret=0;
-		 echo "<br>".$num.") Fallito: $sql -- $e->getmessage()";
-		 return $ret;
+			$ret=0;
+			echo "<br><span style=\"color: red;\">- Tabella: $tab - Indice: $ind - Aggiornamento Fallito: $sql</span>";
+			return $ret;
 		}
 	}
@@ -75,9 +75,9 @@
 		{
 		  $ret=0;
-		  echo "<br>".$num.") Fallito: $sql2";
+		  echo "<br><span style=\"color: red;\">- Tabella: $tab - Indice: $ind - Aggiornamento Fallito: $sql2</span>";
 		  return $ret;
 		}
 	} 
-	echo "<br>".$num.") Index aggiornato<br>";
+	echo "<br><span style=\"color: green;\">- Tabella: $tab - Indice: $ind - Index aggiornato</span>";
 	return $ret;
 }
@@ -93,5 +93,6 @@
 	$res->execute();
 	if($res->rowCount() and $campo=='') return 1;
-	while(list($nome)=$res->fetch(PDO::FETCH_NUM)) {if($nome==$campo) { echo "<br>".$num.") Aggiornamento giÃ  effettuato<br>"; return 1;}}
+	while(list($nome)=$res->fetch(PDO::FETCH_NUM)) {if($nome==$campo) { echo "<br>".$num.") Il campo: $campo Ãš presente nella tabella: $tabella"; return 1;}}
+	if($campo) echo "<br>$num) Il campo: $campo non Ãš presente nella tabella: $tabella"; 
 	return 0;
 }
@@ -105,35 +106,32 @@
 	$sql="update `".$prefix."_authors` set admincomune='0' where aid!='admin'";
 	$ret=aggiorna($sql,$dbi,'',$num);
-	echo "Aggiornata la tabella dei permessi<br>";
+	echo "<br> La tabella dei permessi Ãš stata aggiornata<br>";
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_authors non richiede questo aggiornamento</span><br>";	
+
+if(!controllo($prefix.'_config','versione',++$num))
+{
+	$sql="alter table `".$prefix."_config` change column `Versione` `versione` int(3)";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_config non richiede questo aggiornamento</span><br>";	
+
+
+if(controllo($prefix.'_config','secret',++$num))
+{
+	$sql="alter table `".$prefix."_config` DROP `secret`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_config non richiede questo aggiornamento</span><br>";
+
+if(controllo($prefix.'_ele_voti_parziale','data',++$num))
+{
+	$sql="ALTER TABLE `".$prefix."_ele_voti_parziale` CHANGE `data` `data` DATE NOT NULL DEFAULT '1900-01-01'";
+	$ret=aggiorna($sql,$dbi,'',$num);
+	echo "<br>";
 }	
 
-if(!controllo($prefix.'_config','versione',++$num))
-{
-	$sql="alter table `".$prefix."_config` change column `Versione` `versione` int(3)";
-	$ret=aggiorna($sql,$dbi,'',$num);
-}	
-
-if(!controllo($prefix.'_config','versione',++$num))
-{
-	$sql="alter table `".$prefix."_config` change column `Versione` `versione` int(3)";
-	$ret=aggiorna($sql,$dbi,'',$num);
-}	
-
-if(!controllo($prefix.'_config','secret',++$num))
-{
-	$sql="alter table `".$prefix."_config` DROP `secret`";
-	$ret=aggiorna($sql,$dbi,'',$num);
-}	
-
-if(!controllo($prefix.'__ele_voti_parziale','data',++$num))
-{
-	$sql="ALTER TABLE `".$prefix."_ele_voti_parziale` CHANGE `data` `data` DATE NOT NULL DEFAULT '1900-01-01'";
-	$ret=aggiorna($sql,$dbi,'',$num);
-}	
-
-if(!controllo($prefix.'__ele_rilaff','data',++$num))
+if(controllo($prefix.'_ele_rilaff','data',++$num))
 {
 	$sql="ALTER TABLE `".$prefix."_ele_rilaff` CHANGE `data` `data` DATE NOT NULL DEFAULT '1900-01-01'";
 	$ret=aggiorna($sql,$dbi,'',$num);
+	echo "<br>";
 }	
 
@@ -142,6 +140,5 @@
 	$sql="ALTER TABLE `".$prefix."_ele_gruppo` ADD `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-#	if(!$ret) echo "<br>".$num.") Fallito: $sql"; else echo "<br>".$num.") Aggiornato<br>";
-}	
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_gruppo non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_voti_gruppo','num_gruppo',++$num))
@@ -149,5 +146,5 @@
 	$sql="ALTER TABLE `".$prefix."_ele_voti_gruppo` ADD `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}	
+}	else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_gruppo non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_lista','num_gruppo',++$num))
@@ -155,5 +152,5 @@
 	$sql="ALTER TABLE `".$prefix."_ele_lista` ADD `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_gruppo`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_lista non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_lista','num_circ',++$num))
@@ -161,20 +158,23 @@
 	$sql="ALTER TABLE `".$prefix."_ele_lista` ADD `num_circ` INT(2) UNSIGNED NOT NULL AFTER `id_circ`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_lista non richiede questo aggiornamento</span><br>";
+
 if(!controllo($prefix.'_ele_operatori','id_circ',++$num))
 {
 	$sql="ALTER TABLE `".$prefix."_ele_operatori` ADD `id_circ` INT(11) NOT NULL  DEFAULT 0 AFTER `aid`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_operatori non richiede questo aggiornamento</span><br>";
+
 if(!controllo($prefix.'_ele_operatori','id_sez',++$num))
 {
 	$sql="ALTER TABLE `".$prefix."_ele_operatori` ADD `id_sez` INT(11) NOT NULL  DEFAULT 0 AFTER `id_circ`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_operatori non richiede questo aggiornamento</span><br>";
+
 if(!controllo($prefix.'_ele_voti_lista','num_lista',++$num))
 {
 	$sql="ALTER TABLE `".$prefix."_ele_voti_lista` ADD `num_lista` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_voti_lista non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_voti_ref','num_gruppo',++$num))
@@ -182,5 +182,5 @@
 	$sql="ALTER TABLE `".$prefix."_ele_voti_ref` ADD `num_gruppo` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_voti_ref non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_voti_candidati','num_cand',++$num))
@@ -188,5 +188,5 @@
 	$sql="ALTER TABLE `".$prefix."_ele_voti_candidati` ADD `num_cand` INT(2) UNSIGNED NOT NULL AFTER `id_sez`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_voti_candidati non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_candidati','num_lista',++$num))
@@ -194,11 +194,15 @@
 	$sql="ALTER TABLE `".$prefix."_ele_candidati` ADD `num_lista` INT(2) UNSIGNED NOT NULL AFTER `id_lista`";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_candidati non richiede questo aggiornamento</span><br>";
 
 if(!controllo($prefix.'_ele_sezioni','colore',++$num))
 {
-	$sql="ALTER TABLE `".$prefix."_ele_sezioni` ADD `colore` VARCHAR(50) NULL AFTER `solo_lista`";
-	$ret=aggiorna($sql,$dbi,$sql2,$num);
-}
+	$sql="ALTER TABLE `".$prefix."_ele_sezioni` ADD `colore` VARCHAR(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '#FAFAD2' AFTER `solo_lista`";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}else{
+	$sql="ALTER TABLE `".$prefix."_ele_sezioni` CHANGE `colore` `colore` VARCHAR(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '#FAFAD2'";
+	$ret=aggiorna($sql,$dbi,'',$num);
+}	echo "<br>";
+
 echo "<br>Aggiornamento per nuovo sistema dei controlli di congruitÃ ";
 
@@ -208,34 +212,38 @@
 	echo "<br>".$num.") Creazione tabella dei controlli: ";
 	$ret=aggiorna($sql,$dbi,'',$num);
-}
-
-echo "<br>Eliminazione della vecchia tabella dei controlli: ";
-if(controllo($prefix.'_ele_controllisez','',++$num))
+}else echo "<br><span style=\"color: green;\">- La tabella ".$prefix."_ele_controlli non richiede questo aggiornamento</span><br>";
+
+echo "<br>".++$num.") Eliminazione della vecchia tabella dei controlli: ";
+if(controllo($prefix.'_ele_controllisez','',$num))
 {
 $sql="DROP TABLE if exists `".$prefix."_ele_controllisez`";
 $ret=aggiorna($sql,$dbi,'',$num);
-} else echo "<br>$num) Tabella non presente<br>";
-
+} else echo "<br><span style=\"color: green;\">- Tabella non presente</span><br>";
+
+echo "<br>".++$num.") Aggiornamento tabella ".$prefix."_ele_voti_gruppo";
 $sql="update `".$prefix."_ele_voti_gruppo` as t1 left join `".$prefix."_ele_gruppo` as t2 on t1.id_gruppo=t2.id_gruppo set t1.num_gruppo=t2.num_gruppo;";
-$ret=aggiorna($sql,$dbi,'',++$num);
-
+$ret=aggiorna($sql,$dbi,'',$num);
+
+echo "<br><br>".++$num.") Aggiornamento tabella ".$prefix."_ele_voti_lista";
 $sql="update `".$prefix."_ele_voti_lista` as t1 left join `".$prefix."_ele_lista` as t2 on t1.id_lista=t2.id_lista set t1.num_lista=t2.num_lista;";
-$ret=aggiorna($sql,$dbi,'',++$num);
+$ret=aggiorna($sql,$dbi,'',$num);
 ##############################################
 
+echo "<br><br>".++$num.") Aggiornamento dei valori di default";
 $sql="ALTER TABLE `".$prefix."_ele_gruppo` CHANGE `num_circ` `num_circ` INT(2) UNSIGNED NOT NULL DEFAULT '1';";
-$ret=aggiorna($sql,$dbi,'',++$num);
+$ret=aggiorna($sql,$dbi,'',$num);
 
 $sql="ALTER TABLE `soraldo_authors` CHANGE `adminsuper` `adminsuper` TINYINT(2) NOT NULL DEFAULT '0';";
-$ret=aggiorna($sql,$dbi,'',++$num);
+$ret=aggiorna($sql,$dbi,'',$num);
 
 $sql="ALTER TABLE `".$prefix."_ele_lista` CHANGE `num_gruppo` `num_gruppo` INT(2) UNSIGNED NOT NULL DEFAULT '0';";
-$ret=aggiorna($sql,$dbi,'',++$num);
+$ret=aggiorna($sql,$dbi,'',$num);
 
 $sql="ALTER TABLE `".$prefix."_ele_lista` CHANGE `num_circ` `num_circ` INT(2) UNSIGNED NOT NULL DEFAULT '1';";
-$ret=aggiorna($sql,$dbi,'',++$num);
-
+$ret=aggiorna($sql,$dbi,'',$num);
+
+echo "<br><br>".++$num.") Ricostruzione della tabella ".$prefix."_ele_fasce`";
 $sql="DROP TABLE `".$prefix."_ele_fasce`";
-$ret=aggiorna($sql,$dbi,'',++$num);
+$ret=aggiorna($sql,$dbi,'',$num);
 
 $sql="CREATE TABLE `".$prefix."_ele_fasce` (
@@ -244,5 +252,5 @@
   `seggi` int(4) NOT NULL,
   `id_conf` int(11) DEFAULT 1
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;";
+) ENGINE=MyISAM DEFAULT CHARSET 'utf8';";
 
 
@@ -315,10 +323,10 @@
 (8, 1000000, 40, 7),
 (9, 100000000, 48, 7);";
-$ret=aggiorna($sql,$dbi,$sql2,++$num);
+$ret=aggiorna($sql,$dbi,$sql2,$num);
 #if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
 
 $sql="ALTER TABLE `".$prefix."_ele_fasce`
   ADD KEY `id_fascia` (`id_fascia`);";
-$ret=aggiorna($sql,$dbi,'',++$num);
+$ret=aggiorna($sql,$dbi,'',$num);
 #if(!$ret) echo "<br>".$num++.") Fallito: $sql"; else echo "<br>".$num++.") Aggiornato<br>";
 
@@ -332,15 +340,15 @@
 #	echo "<br>".$num++.") Index aggiunto";
 #$sql="ALTER TABLE `".$prefix."_ele_voti_lista` DROP INDEX if exists `id_cons`";
-
+echo "<br><br>".++$num.") Ricostruzione e aggioramento indici";
 $tab=$prefix."_ele_voti_ref";
 $ind="id_cons";
 #	$sql="ALTER TABLE `".$prefix."_ele_voti_ref` DROP INDEX `id_cons`; ";
 $sql2="ALTER TABLE `".$prefix."_ele_voti_ref` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
-$ret=aggiorna_index($tab, $ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab, $ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_voti_lista";
 $ind="id_cons";
 $sql2="ALTER TABLE `".$prefix."_ele_voti_lista` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_lista`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_voti_gruppo";
@@ -348,5 +356,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_voti_gruppo` DROP INDEX if exists `id_cons`";
 $sql2="ALTER TABLE `".$prefix."_ele_voti_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_gruppo`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_voti_candidati";
@@ -354,5 +362,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_voti_candidati` DROP INDEX if exists `id_cons`";
 $sql2="ALTER TABLE `".$prefix."_ele_voti_candidati` ADD INDEX `id_cons` (`id_cons`, `id_sez`, `id_cand`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_lista";
@@ -360,5 +368,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_lista` DROP INDEX if exists `id_cons`";
 $sql2="ALTER TABLE `".$prefix."_ele_lista` ADD INDEX `id_cons` (`id_cons`, `id_gruppo`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_lista";
@@ -366,5 +374,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_lista` DROP INDEX if exists `PRIMARY`";
 $sql2="ALTER TABLE `".$prefix."_ele_lista` ADD PRIMARY KEY (`id_lista`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_gruppo";
@@ -372,5 +380,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_gruppo` DROP INDEX if exists `id_cons`";
 $sql2="ALTER TABLE `".$prefix."_ele_gruppo` ADD INDEX `id_cons` (`id_cons`, `id_circ`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_gruppo";
@@ -378,5 +386,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_gruppo` DROP INDEX if exists `PRIMARY`";
 $sql2="ALTER TABLE `".$prefix."_ele_gruppo` ADD PRIMARY KEY (`id_gruppo`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_candidati";
@@ -384,5 +392,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_candidati` DROP INDEX if exists `id_cons`";
 $sql2="ALTER TABLE `".$prefix."_ele_candidati` ADD INDEX `id_cons` (`id_cons`, `id_lista`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_candidati";
@@ -390,5 +398,5 @@
 #$sql="ALTER TABLE `".$prefix."_ele_candidati` DROP INDEX if exists `PRIMARY`";
 $sql2="ALTER TABLE `".$prefix."_ele_candidati` ADD PRIMARY KEY (`id_cand`) USING BTREE";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
 
 $tab=$prefix."_ele_consultazione";
@@ -396,7 +404,7 @@
 #$sql="ALTER TABLE `".$prefix."_ele_consultazione` DROP INDEX if exists `descrizione`";
 $sql2="ALTER TABLE `".$prefix."_ele_consultazione` ADD UNIQUE `descrizione` (`descrizione`(100))";
-$ret=aggiorna_index($tab,$ind,$dbi,$sql2,++$num);
-
-echo "<br>Modifica Charset del database<br>";
+$ret=aggiorna_index($tab,$ind,$dbi,$sql2,$num);
+
+echo "<br><br>".++$num.") Modifica Charset del database";
 if($newcs=='utf8') {
 	$cset='utf8';
@@ -416,5 +424,5 @@
 $res->execute();
 $tab='';
-
+$agg=$res->rowCount();
 
 while(list($nometab,$campo,$def,$tipo,$nul)=$res->fetch(PDO::FETCH_NUM)) {
@@ -429,27 +437,27 @@
 			die( $sql . "<br>" . $e->getMessage());
 		} 
-		$tab=$nometab; echo "Tabella: $nometab<br>";
+		$tab=$nometab; echo "<br><span style=\"color: green;\">- Tabella: $nometab</span>";
 	}
 	if($def!='') $default="DEFAULT '$def'"; else $default='';
 	if($nul=='NO') $nullable='NOT NULL'; else $nullable='NULL';
 	$sql="ALTER TABLE $nometab CHANGE $campo $campo $tipo CHARACTER SET '$cset' COLLATE '$ccollate' $nullable $default;"; 	
-	echo "-- $campo<br>";
 	try{
-			$res2 = $dbi->prepare("$sql");
-			$res2->execute();
-        }
-		catch(PDOException $e)
-		{
-			$default="DEFAULT $def";
-			$sql="ALTER TABLE $nometab CHANGE $campo $campo $tipo CHARACTER SET '$cset' COLLATE '$ccollate' $nullable $default;"; 	
-			try{
-					$res2 = $dbi->prepare("$sql");
-					$res2->execute();
-				}
-				catch(PDOException $e)
-				{
-					die( $sql . "<br>" . $e->getMessage());
-				} 
-		}
+		$res2 = $dbi->prepare("$sql");
+		$res2->execute();
+	}
+	catch(PDOException $e)
+	{
+		$default="DEFAULT $def";
+		$sql="ALTER TABLE $nometab CHANGE $campo $campo $tipo CHARACTER SET '$cset' COLLATE '$ccollate' $nullable $default;"; 	
+		try{
+				$res2 = $dbi->prepare("$sql");
+				$res2->execute();
+			}
+			catch(PDOException $e)
+			{
+				die( $sql . "<br>" . $e->getMessage());
+			} 
+	}
+	echo "<br><span style=\"color: green;\">-- $campo</span>";
 }
  $sql="SELECT table_name FROM INFORMATION_SCHEMA.tables WHERE TABLE_SCHEMA = '$dbname' and table_collation like '$preset%'";
@@ -457,8 +465,8 @@
  $res->execute();
 $tab='';
+if(!$agg) $agg=$res->rowCount();
 while(list($nometab)=$res->fetch(PDO::FETCH_NUM)) {
 		$sql="alter table $nometab DEFAULT CHARSET=$cset COLLATE $ccollate";
 		try{
-	echo "Tabella: $nometab <br>";
 			$res2 = $dbi->prepare("$sql");
 			$res2->execute();
@@ -468,5 +476,7 @@
 			die( $sql . "<br>" . $e->getMessage());
 		} 
-}
+		echo "<br><span style=\"color: green;\">- Tabella: $nometab</span>";
+}
+if(!$agg) echo "<br><span style=\"color: green;\">- Nessuna tabella da aggiornare</span>";
 echo "<br><br>";
 ?>
Index: trunk/admin/temi/Futura2/index.php
===================================================================
--- trunk/admin/temi/Futura2/index.php	(revision 362)
+++ trunk/admin/temi/Futura2/index.php	(revision 363)
@@ -12,6 +12,6 @@
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
 foreach($param as $key=>$val) {
-	if($key=='ops') $ops=$val;
-	if($key=='id_lista') $id_lista=$val;
+	if($key=='ops') $ops=intval($val);
+	if($key=='id_lista') $id_lista=intval($val);
 }
 
@@ -19,5 +19,5 @@
 
 include_once("header.php");
-$nometema=$tema;
+#$nometema=$tema;
 #require_once("class/db/db.php"); //classe db
 global $tema,$id_comune,$descr_cons,$multicomune,$dbi,$prefix,$currentlang,$ops,$id_sez,$id_cons,$id_cons_gen;
@@ -66,5 +66,5 @@
 ####################################
 
-global $op,$tema,$dbi,$nometema,$file,$bgcolor,$sitename,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
+global $op,$tema,$dbi,$file,$bgcolor,$sitename,$prefix,$blocco,$lang,$siteistat,$id_cons_gen,$descr_cons,$minsez,$offsetsez,$multicomune,$id_comune,$multicomune,$rss,$colortheme,$descr_com;
 global $id_cons,$do,$id_circ,$id_sede,$id_sez,$ops,$ov,$mv,$gv,$msv,$av,$votog,$genere,$aid,$bgcolor1,$language;
 
@@ -152,4 +152,6 @@
 if($genere==2 and $votog)
 	echo "<td bgcolor=\"$bgcolorg\" align=\"center\" $bordog onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=4');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorg\">"._GRUPPO."</font></b></p></td>\n";
+elseif($genere>=4 and !$votoc)
+	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTAPREF."</font></b></p></td>\n";
 elseif(($genere>2 or $votog)){ //if(($genere>2 or $tipo_cons==10 or $tipo_cons==11)){
 	echo "<td bgcolor=\"$bgcolorl\" align=\"center\"$bordol onClick=\"vai_scelta('admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=3');\"><p style=\"margin-left:10px;margin-right:10px;\"><b><font color=\"$tcolorl\">"._LISTA."</font></b></p></td>\n";
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 362)
+++ trunk/admin/versione.php	(revision 363)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 362";
+$versione = "3.0 rev 363";
 $version_number = $versione;
-$datarel = "27 marzo 2022";
+$datarel = "28 marzo 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 362)
+++ trunk/client/versione.php	(revision 363)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 362";
+$versione = "3.0 rev 363";
 $version_number = $versione;
-$datarel = "27 marzo 2022";
+$datarel = "28 marzo 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 