Index: /trunk/admin/aggiornadb.php
===================================================================
--- /trunk/admin/aggiornadb.php	(revision 363)
+++ /trunk/admin/aggiornadb.php	(revision 364)
@@ -201,5 +201,5 @@
 	$ret=aggiorna($sql,$dbi,'',$num);
 }else{
-	$sql="ALTER TABLE `".$prefix."_ele_sezioni` CHANGE `colore` `colore` VARCHAR(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '#FAFAD2'";
+	$sql="ALTER TABLE `".$prefix."_ele_sezioni` CHANGE `colore` `colore` VARCHAR(50) DEFAULT '#FAFAD2'";
 	$ret=aggiorna($sql,$dbi,'',$num);
 }	echo "<br>";
Index: /trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/controllo_voti.php	(revision 363)
+++ /trunk/admin/modules/Elezioni/controllo_voti.php	(revision 364)
@@ -88,11 +88,10 @@
 	if ($genere>0) {  //se non e' un referendum
 		if (!($genere==4) and $pag==0){  //se non e' una lista uninominale ed e' la prima pagina
-			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli,t2.validi_lista,t2.voti_nulli_lista,t2.contestati_lista,t2.solo_gruppo,t2.solo_lista FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez";
-
+			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli,t2.validi_lista,t2.voti_nulli_lista,t2.contestati_lista,t2.solo_gruppo,t2.solo_lista FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 order by t2.num_sez";
 		}else{ // e' una lista uninominale o la seconda pagina
 			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0',t1.voti_nulli,t1.validi_lista,t1.voti_nulli_lista,t1.contestati_lista,t1.solo_gruppo,t1.solo_lista
 			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
-			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez";
+			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t1.id_sez,t1.num_sez,t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,t1.voti_nulli,t1.validi_lista,t1.voti_nulli_lista,t1.contestati_lista,t1.solo_gruppo,t1.solo_lista order by t1.num_sez"; 
 		}
 		$riga1="<tr><td>\n<table border=\"0\" width=\"100%\" bgcolor=\"$bgcolor1\" ><tr><td align=\"center\">"._SEZSCR." "._CONSULTAZIONE."</td></tr></table></td></tr>\n";
Index: /trunk/admin/modules/Elezioni/ele_gruppo.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 363)
+++ /trunk/admin/modules/Elezioni/ele_gruppo.php	(revision 364)
@@ -231,5 +231,5 @@
 				$res = $dbi->prepare("$sql");
 				$res->execute();						
-         		if (!$result) return;
+         		if (!$res) return;
 				Header("Location: admin.php?op=gruppo&id_cons_gen=$id_cons_gen&id_circ=$id_circ&min=$min");
 			}
Index: /trunk/admin/modules/Elezioni/ele_riepilogovoti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 363)
+++ /trunk/admin/modules/Elezioni/ele_riepilogovoti.php	(revision 364)
@@ -86,5 +86,5 @@
 	{
 		$totg+=$votigruppo; $totsg+=$sologruppo;
-		$sql="SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' group by id_lista order by num_lista";
+		$sql="SELECT id_lista,num_lista,descrizione FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo' order by num_lista"; 
 		$resl = $dbi->prepare("$sql");
 		$resl->execute();	
Index: /trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 363)
+++ /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 364)
@@ -403,5 +403,5 @@
 					$resgs->execute();
 					list($vsg3)=$resgs->fetch(PDO::FETCH_NUM);
-					if($sgs3!=$vsg3)
+					if($sgs3!=$vsg3 and $flagsg)
 						 echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti al solo gruppo: $sgs3 non corrispondono a quelli inseriti nella scheda dei gruppi $vsg3 </b><br></td></tr></table>";
 	
Index: /trunk/admin/modules/Elezioni/scarica.php
===================================================================
--- /trunk/admin/modules/Elezioni/scarica.php	(revision 363)
+++ /trunk/admin/modules/Elezioni/scarica.php	(revision 364)
@@ -51,5 +51,5 @@
 	}elseif ($fase=='1'){
 		$urlrem="$indirizzoweb/file.php?fase=1";
-		$rem_cons="<script type=\"text/javascript\" src=\"$urlrem\" crossorigin=\"anonymous\"></script>";
+		$rem_cons="<script type=\"text/javascript\" src=\"$urlrem\"></script>";
 		echo "<form name=\"import\" action=\"admin.php\">";
 		echo "<table border=\"0\" width=\"100%\"><tr bgcolor=\"$bgcolor2\">";
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 363)
+++ /trunk/admin/versione.php	(revision 364)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 363";
+$versione = "3.0 rev 364";
 $version_number = $versione;
-$datarel = "28 marzo 2022";
+$datarel = "30 marzo 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/consiglieri.php
===================================================================
--- /trunk/client/modules/Elezioni/consiglieri.php	(revision 363)
+++ /trunk/client/modules/Elezioni/consiglieri.php	(revision 364)
@@ -181,5 +181,5 @@
 		echo "<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\"/>";
 		echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\"/>";
-		$sql = "SELECT t1.id_gruppo,t1.num_gruppo,t1.descrizione, sum(t2.voti) as pref FROM ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_voti_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' group by t1.num_gruppo,t1.descrizione order by pref desc limit 0,2";
+		$sql = "SELECT t1.id_gruppo,t1.num_gruppo,t1.descrizione, sum(t2.voti) as pref FROM ".$prefix."_ele_gruppo as t1, ".$prefix."_ele_voti_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' group by t1.id_gruppo,t1.num_gruppo,t1.descrizione order by pref desc limit 0,2";
 $res = $dbi->prepare("$sql");
 $res->execute();
@@ -297,5 +297,5 @@
     foreach ($listagruppo as $lista=>$val){
     $id_lista=$idlst[$lista];
-    $sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,t1.num_cand";
+    $sql = "SELECT concat(substring(concat('0',t1.num_cand),-2),') ',t1.cognome,' ',substring(t1.nome from 1 for 1),'.') as descr,sum(t2.voti) as voti from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2 where t1.id_lista='$id_lista' and t1.id_cand=t2.id_cand GROUP BY descr order by voti desc,descr";
 $res_can = $dbi->prepare("$sql");
 $res_can->execute();
@@ -499,5 +499,5 @@
 
 	$sbarra=($validi*$supsbarramento)/100; 
-	$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.num_lista,t2.descrizione order by voti desc";
+	$sql = "SELECT t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione,sum(t3.voti) as voti from ".$prefix."_ele_gruppo as t1,  ".$prefix."_ele_lista as t2, ".$prefix."_ele_voti_lista as t3 where t1.id_cons='$id_cons' and t1.id_gruppo=t2.id_gruppo and t2.id_lista=t3.id_lista group by t1.descrizione,t1.num_gruppo,t2.id_lista,t2.num_lista,t2.descrizione order by voti desc";
 	$res_per = $dbi->prepare("$sql");
 	$res_per->execute();
Index: /trunk/client/modules/Elezioni/grafici.php
===================================================================
--- /trunk/client/modules/Elezioni/grafici.php	(revision 363)
+++ /trunk/client/modules/Elezioni/grafici.php	(revision 364)
@@ -393,10 +393,10 @@
 function graf_gruppo($visgralista){
 global $admin, $bgcolor1, $bgcolor5, $prefix, $dbi, $offset, $min,$descr_cons,$genere,$votog,$votol,$votoc,$circo, $id_cons,$id_cons_gen,$id_comune,$id_circ,$tipo_cons,$w,$l,$op,$siteistat,$flash,$tema,$copy;
-if ($siteistat==$id_comune) $logo=$siteistat; else $logo=''; // logo per il  comune
-$logo=verificasimbolo(); // carica_logo da funzioni.php
+	if ($siteistat==$id_comune) $logo=$siteistat; else $logo=''; // logo per il  comune
+	$logo=verificasimbolo(); // carica_logo da funzioni.php
 	if (!$id_circ and $circo){
 		$sql="SELECT id_circ from ".$prefix."_ele_circoscrizione where id_cons=$id_cons order by num_circ limit 0,1";
-	$res_sez = $dbi->prepare("$sql");
-	$res_sez->execute();
+		$res_sez = $dbi->prepare("$sql");
+		$res_sez->execute();
 
 		list($id_circ)=$res_sez->fetch(PDO::FETCH_NUM);
@@ -406,5 +406,5 @@
 	if ($genere==4 or $visgralista){$tab="lista";}
 	if ($votog){$tab="lista";}
-	$sql="select *  from ".$prefix."_ele_voti_$tab where id_cons='$id_cons' group by id_sez ";
+	$sql="select id_sez  from ".$prefix."_ele_voti_$tab where id_cons='$id_cons' group by id_sez ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
@@ -412,10 +412,10 @@
 	if ($circo){
 		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
+		$res = $dbi->prepare("$sql");
+		$res->execute();
 
 		$sql="select sum(t1.voti)  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ";
-	$restotv = $dbi->prepare("$sql");
-	$restotv->execute();
+		$restotv = $dbi->prepare("$sql");
+		$restotv->execute();
 
 		$circond="and id_circ=$id_circ";$circondt1="and t1.id_circ=$id_circ";
@@ -476,5 +476,5 @@
         			left join ".$prefix."_ele_voti_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
-				group by t2.id_gruppo
+				group by t1.id_gruppo, t1.num_gruppo, t1.descrizione
 				order by somma desc";
 				$cosa='id_gruppo';
@@ -751,11 +751,8 @@
 				left join ".$prefix.$scelta."
 				where t1.id_cons='$id_cons' $circos
-				group by t3.id_cand
-				 
-				order by somma desc
-				
-				";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
+				group by t1.id_lista, t1.id_cand, t1.nome, t1.cognome				 
+				order by somma desc";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
 
 			$n_candi=$res->rowCount();
Index: /trunk/client/temi/Futura2/function_theme.php
===================================================================
--- /trunk/client/temi/Futura2/function_theme.php	(revision 363)
+++ /trunk/client/temi/Futura2/function_theme.php	(revision 364)
@@ -39,7 +39,7 @@
 
 
-	$sql="select t1.*  from ".$prefix."_ele_voti_".$tab." as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_$tab=t2.id_$tab where t1.id_cons='$id_cons' $circos group by t1.id_sez ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
+	$sql="select t1.id_sez from ".$prefix."_ele_voti_".$tab." as t1 left join ".$prefix."_ele_$tab as t2 on t1.id_$tab=t2.id_$tab where t1.id_cons='$id_cons' $circos group by t1.id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	if($res)
 		$numero=$res->rowCount();
@@ -47,6 +47,6 @@
 	$numero=1;
 	$sql="select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' $circos";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	$sezioni=$res->rowCount();
 	if ($numero!=0){
@@ -187,7 +187,7 @@
 	if ($genere==4 or $visgralista){$tab="ele_voti_lista";}
 	if ($votog){$tab="ele_voti_lista";}
-	$sql="select *  from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
+	$sql="select id_sez from ".$prefix."_$tab where id_cons='$id_cons' group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	if ($circo){
 		$sql="select t1.*  from ".$prefix."_ele_voti_gruppo as t1, ".$prefix."_ele_gruppo as t2 where t1.id_gruppo=t2.id_gruppo and t1.id_cons='$id_cons' and t2.id_circ=$id_circ group by t1.id_sez ";
@@ -248,5 +248,5 @@
         			left join ".$prefix."_$tab as t2 on (t1.id_gruppo=t2.id_gruppo)
 				where 	t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons $circondt1
-				group by t2.id_gruppo
+				group by t1.id_gruppo, t1.num_gruppo, t1.descrizione
 				order by somma desc";
 				$cosa='id_gruppo';
@@ -474,11 +474,11 @@
 	if ($circo) $circos = "and id_circ=$id_circ" ; else $circos='';
 	if ($genere==0) $tab="ref"; else $tab="gruppo";
-	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
+	$sql="select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	$numero=$res->rowCount();
 	$sql="select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos ";
-				$res = $dbi->prepare("$sql");
-				$res->execute();
+	$res = $dbi->prepare("$sql");
+	$res->execute();
 	$sezioni=$res->rowCount();
 	//$res = mysql_query("select chiusa  from ".$prefix."_ele_cons_comuni where id_cons='$id_cons' $circos ",$dbi);
@@ -606,9 +606,6 @@
 				left join ".$prefix.$scelta."
 				where t1.id_cons='$id_cons'
-				group by t2.id_cand
-				 
-				order by somma desc
-				
-				";
+				group by t1.id_lista, t1.id_cand, t1.nome, t1.cognome
+				order by somma desc";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -679,5 +676,5 @@
 
 	// numero sezioni 
-	$sql="select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
+	$sql="select t3.id_sez  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
 	$sez_num = $dbi->prepare("$sql");
 	$sez_num->execute();
@@ -1135,5 +1132,5 @@
 	
 
-  		$sql="select t3.*  from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario'   group by t3.id_sez ";
+  		$sql="select t3.id_sez from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' and t3.data='$data' and t3.orario='$orario' group by t3.id_sez ";
 		$res1 = $dbi->prepare("$sql");
 		$res1->execute();
@@ -1215,5 +1212,5 @@
 if ($genere==0) $tab="ref";
 
-  	$sql="select t3.*  from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
+  	$sql="select t3.id_sez from ".$prefix."_ele_voti_".$tab." as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t3.id_cons='$id_cons' $circos  group by t3.id_sez ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 363)
+++ /trunk/client/versione.php	(revision 364)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 363";
+$versione = "3.0 rev 364";
 $version_number = $versione;
-$datarel = "28 marzo 2022";
+$datarel = "30 marzo 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/install/install2.php
===================================================================
--- /trunk/install/install2.php	(revision 363)
+++ /trunk/install/install2.php	(revision 364)
@@ -460,6 +460,6 @@
   		  			
 					<tr><td width="150">Abilita il formato Flash?</td><td>
-					  <select name="flash"><option value="1" selected>SI</option><option value="0">NO</option></select></td>
-					  <td>L'abilitazione del Flash permette di avere grafici in movimento. Se disabilitato e grafici saranno statici</td>
+					  <select name="flash"><option value="1">SI</option><option value="0" selected>NO</option></select></td>
+					  <td>L'abilitazione del Flash permette di avere grafici in movimento. Se disabilitato i grafici saranno statici</td>
 					
   					</tr>