Index: /trunk/admin/modules/Elezioni/ele_controlli.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 364)
+++ /trunk/admin/modules/Elezioni/ele_controlli.php	(revision 365)
@@ -287,5 +287,15 @@
 	global $prefix,$dbi,$id_sede,$id_cons_gen,$validi;
 		##############################
-	$controllo=0;
+	$sql="select id from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id>0"; 
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	while (list($idl)=$res->fetch(PDO::FETCH_NUM)) {
+		$err=controllo_votic($id_cons,$id_sez,$idl);
+		if(!$err){
+			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id=$idl"; 
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		} 
+	}		
 	$err=0;
 	$tipo='lista';
@@ -325,5 +335,5 @@
 			while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
 				$err=controllo_votic($id_cons,$id_sez,$idg);
-				if($err){ $tipo='lista'; $id_lista=$idg; $controllo=1; break; }
+				if($err){ $tipo='lista'; $id_lista=$idg; break; }
 				$sql="SELECT voti, nulli_lista, solo_lista FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$idg'";
 				$res2 = $dbi->prepare("$sql");
@@ -337,5 +347,5 @@
 					$tnl+=$nl;
 					if(($votig+$svl)<($votil+$svg+$nl))
-					{ $err=1; $tipo='lista';$id_lista=$idg; $controllo=2;  break; }
+					{ $err=1; $tipo='lista';$id_lista=$idg; break; }
 				}				
 			}
@@ -349,48 +359,46 @@
 			$tvl=0;
 			if($resref->rowCount()){
-			while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
-				$sql="SELECT id_lista FROM ".$prefix."_ele_lista where id_gruppo='$idg'";
-				$res2 = $dbi->prepare("$sql");
-				$res2->execute();
-				while(list($id_lista)=$res2->fetch(PDO::FETCH_NUM)){
-					$err=controllo_votic($id_cons,$id_sez,$id_lista);
-					if($err){ $tipo='lista'; $controllo=3; break; }
-					$sql="SELECT voti FROM ".$prefix."_ele_voti_lista where id_lista='$id_lista' and id_sez='$id_sez'";
-					$res3 = $dbi->prepare("$sql");
-					$res3->execute();
-					list($vl)=$res3->fetch(PDO::FETCH_NUM);
-					$tvl+=$vl;
+				while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
+					$sql="SELECT id_lista FROM ".$prefix."_ele_lista where id_gruppo='$idg'";
+					$res2 = $dbi->prepare("$sql");
+					$res2->execute();
+					while(list($idl)=$res2->fetch(PDO::FETCH_NUM)){
+						$err=controllo_votic($id_cons,$id_sez,$idl);
+						if($err){ $tipo='lista'; break; }
+						$sql="SELECT voti FROM ".$prefix."_ele_voti_lista where id_lista='$idl' and id_sez='$id_sez'";
+						$res3 = $dbi->prepare("$sql");
+						$res3->execute();
+						list($vl)=$res3->fetch(PDO::FETCH_NUM);
+						$tvl+=$vl;
+					}
+					if($err) break;
+					$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
+					$res2 = $dbi->prepare("$sql");
+					$res2->execute();
+					$totgru+=$votig;
+					$totsg+=$svg;
+					if($res2->rowCount()){
+						list($votil,$nl,$svl)=$res2->fetch(PDO::FETCH_NUM);
+						$totlis+=$votil;
+						$totsl+=$svl;
+						$tnl+=$nl;
+						if(($votig+$svl)<($votil+$svg+$nl) and $disg)
+						{ $err=1; $tipo='lista'; break; }
+					}				
 				}
-				if($err) break;
-				$sql="SELECT sum(voti), sum(nulli_lista),sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
-				$res2 = $dbi->prepare("$sql");
-				$res2->execute();
-				$totgru+=$votig;
-				$totsg+=$svg;
-				if($res2->rowCount()){
-					list($votil,$nl,$svl)=$res2->fetch(PDO::FETCH_NUM);
-					$totlis+=$votil;
-					$totsl+=$svl;
-					$tnl+=$nl;
-					if(($votig+$svl)<($votil+$svg+$nl) and $disg)
-					{ $err=1; $tipo='lista'; $controllo=4; break; }
-				}
-				
-			}
 			}else{
 			#inserire controllo per consultazioni con voto alle liste ma senza voto di gruppo	
 			}
 			if (!$totsg) $totsg=$solog; 
-			if (($totlis!=$validil or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';$controllo=5;} 
-			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol || ($totsg!=$solog)) {$err=1;$tipo='lista';$controllo=6;}
-		}
-		
-	}
-
-		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' and id='$id_lista'"; 
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		} 
+			if (($totlis!=$validil or $validil+$contestatil+$nullil+$totsg!=$votiv) and ($validil+$contestatil+$nullil+$solol>0 or $tvl>0)) {$err=1;$tipo='lista';} 
+			if(($solog && !$disg && ($tnl!=$nullil && $disg)) || $totsl!=$solol || ($totsg!=$solog)) {$err=1;$tipo='lista';}
+		}		
+	}
+	if(!$err){
+		if($id_lista) $andlis=" and id='$id_lista' "; else $andlis="";
+		$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' $andlis"; 
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+	} 
 
 	if($err){
@@ -399,8 +407,8 @@
 		$res->execute();
 		if(!$res->rowCount()) {
-			if(!$id_lista) $id_lista=0; //$controllo;
+			if(!$id_lista) $id_lista=0;
 			$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_lista')";
 			$res = $dbi->prepare("$sql");
-			$res->execute();	#die("TEST $sql");
+			$res->execute();
 		}
 	}
Index: /trunk/admin/modules/Elezioni/ele_spoglio.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 364)
+++ /trunk/admin/modules/Elezioni/ele_spoglio.php	(revision 365)
@@ -412,53 +412,42 @@
 	if($genere==5 and !$disgiunto  and ($tipo_cons==18 or $tipo_cons==19)){
 		$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons' $circo";
-$resref = $dbi->prepare("$sql");
-$resref->execute();
-
-
+		$resref = $dbi->prepare("$sql");
+		$resref->execute();
+#	die("qui: $sql");
 		$sql="SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
+		$res4 = $dbi->prepare("$sql");
+		$res4->execute();
 		list($sezscrl)=$res4->fetch(PDO::FETCH_NUM); 
 		if ($sezscrl)
-				
-		while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
-                    {
-                    $sql="SELECT sum(voti),sum(solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-					$res3 = $dbi->prepare("$sql");
-					$res3->execute();
-
-
-                    $sql="SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
-					$res4 = $dbi->prepare("$sql");
-					$res4->execute();
-                    list($vgruppo3,$vsl3)=$res3->fetch(PDO::FETCH_NUM);
-					$vgruppo=$vgruppo3-$vsl3;
-
-                    list($vliste)=$res4->fetch(PDO::FETCH_NUM);
-                    if($vliste>$vgruppo)
-                    	{
-                    	 $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-                    	 list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
-                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr></table>";
-                    	$errgrulis[$id_gruppo]=1;
-                    	}
-                    elseif($vliste<$vgruppo)
-                    	{
-                    	 $sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
-$result = $dbi->prepare("$sql");
-$result->execute();
-
-
-                    	 list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
-                    	echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo<br/> superano i voti delle liste collegate </b><br></td></tr></table>";
-                    	$errgrulis[$id_gruppo]=1;
-                    	}
-                    }
+			while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
+				{
+				$sql="SELECT sum(voti),sum(solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
+				$res3 = $dbi->prepare("$sql");
+				$res3->execute();
+				$sql="SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
+				$res4 = $dbi->prepare("$sql");
+				$res4->execute();
+				list($vgruppo3,$vsl3)=$res3->fetch(PDO::FETCH_NUM);
+				$vgruppo=$vgruppo3-$vsl3;
+				list($vliste)=$res4->fetch(PDO::FETCH_NUM);
+				if($vliste>$vgruppo)
+					{
+					$sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+					$result = $dbi->prepare("$sql");
+					$result->execute();
+					list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
+					echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr></table>";
+					$errgrulis[$id_gruppo]=1;
+				}
+				elseif($vliste<$vgruppo)
+					{
+					$sql="SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+					$result = $dbi->prepare("$sql");
+					$result->execute();
+					list($dgruppo)=$result->fetch(PDO::FETCH_NUM);
+					echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo<br/> superano i voti delle liste collegate </b><br></td></tr></table>";
+					$errgrulis[$id_gruppo]=1;
+				}
+			}
 		}
 }
Index: /trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_voti.php	(revision 364)
+++ /trunk/admin/modules/Elezioni/ele_voti.php	(revision 365)
@@ -328,5 +328,5 @@
 if($ops=="3") {$bgcolorl="yellow"; $tcolorl='blue';} else {$bgcolorl="grey"; $tcolorl='white';} # $active_lista=" class=\"ui-btn-active\""; else $active_lista='';
 if($ops=="1") {$bgcolora="yellow"; $tcolora='blue';} else {$bgcolora="grey"; $tcolora='white';} # $active_aff=" class=\"ui-btn-active\""; else $active_aff='';
-echo "<div data-role=\"content\" data-theme=\"a\"><hr><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
+echo "<div data-role=\"content\" data-theme=\"a\"><hr><h2>Sezione n. $num_sez</h2><table style=\"margin-left:auto; margin-right:auto;\"><tr>";
 #<a href=\"admin.php?id_comune=$id_comune&amp;id_cons_gen=$id_cons_gen&amp;ops=1\"></a>
 echo "\n<td bgcolor=\"$bgcolora\" align=\"center\" $bordoa onClick=\"vai_scelta('admin.php?op=voti&amp;id_comune=$id_comune&amp;id_sez=$id_sez&amp;id_cons_gen=$id_cons_gen&amp;do=spoglio&amp;ops=1');\"><p style=\"margin-left:10px;margin-right:10px;\"><font color=\"$tcolora\"><b>"._AFFLUENZE."</font></b></p></td>\n";
Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 364)
+++ /trunk/admin/versione.php	(revision 365)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 364";
+$versione = "3.0 rev 365";
 $version_number = $versione;
-$datarel = "30 marzo 2022";
+$datarel = "09 aprile 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 364)
+++ /trunk/client/modules/Elezioni/index.php	(revision 365)
@@ -1199,5 +1199,5 @@
 	if ($genere==0) {$tab="ref";}else{$tab="gruppo";}
 	if ($votog) {$tab="lista";}else{$tab="gruppo";}
-	$sql="select *  from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
+	$sql="select id_sez from ".$prefix."_ele_voti_".$tab." where id_cons='$id_cons'  $circos group by id_sez ";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 364)
+++ /trunk/client/versione.php	(revision 365)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 364";
+$versione = "3.0 rev 365";
 $version_number = $versione;
-$datarel = "30 marzo 2022";
+$datarel = "09 aprile 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 