Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 367)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 368)
@@ -42,26 +42,8 @@
 	<a href=\" modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=affluenze_graf&amp;csv=1\">"._VER_STAMPA." <img class=\"image\" src=\"modules/Elezioni/images/printer.png\" alt=\"stampa\" /></a></div>";
       
-	// circoscrizionali
-
-	        // numero sezioni scrutinate
-                //if ($circo)$circos="and id_circ='$id_circ'";
-        if (!isset($data1)) $data1='';
-        if (!isset($ora_ril)) $ora_ril='';
-  		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data1' and orario='$ora_ril' $circos group by t3.id_gruppo";
-		$res1 = $dbi->prepare("$sql");
-		$res1->execute();
-
-# mysql_query("select *  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' $circos  group by id_sez ",$dbi);
-		$numero=$res1->rowCount();
-		$sql="SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-
-#mysql_query("select *  from ".$prefix."_ele_sezioni where id_cons='$id_cons' $circos",$dbi);
-		$sezioni=$res2->rowCount();
-		
-	
-	
-		
+	$sql="SELECT t1.* FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos order by num_sez";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+	$sezioni=$res2->rowCount();
 	
 // barre
@@ -74,81 +56,52 @@
     // totali
 
-	if($tema=='tour') $andcond="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order by data desc,orario desc limit 0,1"; else $andcond="select orario,data  from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario";    
-    
+	if($tema=='tour') 
+		$andcond="select orario,data  from ".$prefix."_ele_voti_parziale where id_cons='$id_cons' order by data desc,orario desc limit 0,1"; 
+	else 
+		$andcond="select orario,data  from ".$prefix."_ele_rilaff where id_cons_gen='$id_cons_gen' order by data,orario";       
     $sql="$andcond";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
-
-        while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
-        	list ($ore,$minuti,$secondi)=explode(':',$orario);
-        	list ($anno,$mese,$giorno)=explode('-',$data);
-        	$tot_v_m=0;$tot_v_d=0;$tot_t=0;
-	
-	
-		echo "<br /><div><h5>"._VOTANTI." "._ALLE." "._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</h5></div>";
-               
+    while(list($orario,$data) = $res->fetch(PDO::FETCH_NUM)) {
+		list ($ore,$minuti,$secondi)=explode(':',$orario);
+		list ($anno,$mese,$giorno)=explode('-',$data);
+		$tot_v_m=0;$tot_v_d=0;$tot_t=0;
+		echo "<br /><div><h5>"._VOTANTI." "._ALLE." "._ORE." $ore,$minuti "._DEL."  $giorno/$mese/$anno</h5></div>";               
   		$sql="SELECT count(data) FROM ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' and data='$data' and orario='$orario' $circos group by t3.id_gruppo";
+		$res1 = $dbi->prepare("$sql");
+		$res1->execute();                                                                                                                            
+		list($numero)=$res1->fetch(PDO::FETCH_NUM);	
+		$sql="select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ";
 		$res1 = $dbi->prepare("$sql");
 		$res1->execute();
                                                                                                                              
-		list($numero)=$res1->fetch(PDO::FETCH_NUM);	
-
-		
-		$sql="select sum(t3.voti_complessivi), t4.num_gruppo , t4.id_gruppo   from ".$prefix."_ele_voti_parziale as t3 left join ".$prefix."_ele_sezioni as t1 on t3.id_sez=t1.id_sez left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede left join ".$prefix."_ele_gruppo as t4 on (t3.id_gruppo=t4.id_gruppo) where t3.id_cons='$id_cons' and t3.orario='$orario' and t3.data='$data' $circos  group by t4.num_gruppo, t4.id_gruppo order by t4.num_gruppo ";
-		$res1 = $dbi->prepare("$sql");
-		$res1->execute();
-
-#mysql_query("select sum(t1.voti_complessivi), t2.num_gruppo , t2.id_gruppo from ".$prefix."_ele_voti_parziale as t1 left join ".$prefix."_ele_gruppo as t2 on (t1.id_gruppo=t2.id_gruppo) where t1.id_cons='$id_cons' and t1.orario='$orario' and t1.data='$data' group by t2.num_gruppo,t2.id_gruppo order by t2.num_gruppo " , $dbi);
-                                                                                                                                       
-	
-		
-		
-                                                                                                                             
-                while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
-                	$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
-		
-                	if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$sql=$query;
-	$res_aff = $dbi->prepare("$sql");
-	$res_aff->execute();
-
+		while(list($voti_t, $num_gruppo,$id_gruppo) = $res1->fetch(PDO::FETCH_NUM)) {
+			$query="select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where orario='$orario' and data='$data' and id_cons='$id_cons'";
+			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
+			$sql=$query;
+			$res_aff = $dbi->prepare("$sql");
+			$res_aff->execute();
 			$voti_numero=$res_aff->rowCount();
-                	$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos";
-#"select sum(maschi+femmine) from ".$prefix."_ele_voti_parziale as t1 , ".$prefix."_ele_sezioni as t2 where t1.id_cons=$id_cons and t1.id_sez=t2.id_sez and orario='$orario' and data='$data' $circos";
-                	
-			
-#			if ($genere==0){$query.=" and id_gruppo=$id_gruppo";}
-                	$sql=$query;
-					$res1234 = $dbi->prepare("$sql");
-					$res1234->execute();
-
-                	list($tot)=$res1234->fetch(PDO::FETCH_NUM);
-                	
-                	$perc=number_format($voti_t*100/$tot,2);
-                    echo "<table class=\"td-80\"><tr class=\"bggray\">";
+        	$query="SELECT sum(maschi+femmine) FROM ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede $circos";
+			$sql=$query;
+			$res1234 = $dbi->prepare("$sql");
+			$res1234->execute();
+			list($tot)=$res1234->fetch(PDO::FETCH_NUM);				
+			$perc=number_format($voti_t*100/$tot,2);
+			echo "<table class=\"td-80\"><tr class=\"bggray\">";
 			if ($genere==0){echo "<td>Referendum N.</td>";}
-                	echo "<td><b>"._VOTANTI."</b></td><td><b>"._PERCE."</b></td>";
-                	echo "<td><b>"._SEZIONI."</b></td>";
+			echo "<td><b>"._VOTANTI."</b></td><td><b>"._PERCE."</b></td>";
+			echo "<td><b>"._SEZIONI."</b></td>";
 			echo "</tr>";
-        		echo "<tr class=\"bggray2\">";
-        		if ($genere==0){echo "<td><h2>$num_gruppo</h2></td>";}
-        		echo "<td>$voti_t</td><td>$perc %</td><td>$numero</td>
-			</tr></table>";
-	
-
-        // barre
-                                                                                                                             
-        	echo "<table><tr><td><table><tr><td>&nbsp;"._VOTANTI."       : </td><td>
-<img src=\"modules/Elezioni/images/barre/leftbar2.gif\" height=\"$l_size2[1]\" width=\"$l_size2[0]\" alt=\"votanti\" /><img src=\"modules/Elezioni/images/barre/mainbar2.gif\" alt=\"votanti\" height=\"$m_size2[1]\" width=\"". ($perc * 2)."\" /><img src=\"modules/Elezioni/images/barre/rightbar2.gif\" height=\"$r_size2[1]\" width=\"$r_size2[0]\" alt=\"votanti\" /><span class=\"red\"> $perc</span> % ($voti_t)<br /></td></tr>\n";
-		
-		$tot_gen=$tot;
-
-
-		echo  "<tr><td>&nbsp;"._AVENTI.": </td><td><img src=\"modules/Elezioni/images/barre/leftbar.gif\" height=\"$l_size[1]\" width=\"$l_size[0]\" alt=\"elettori\" /><img src=\"modules/Elezioni/images/barre/mainbar.gif\" alt=\"elettori\" height=\"$m_size[1]\" width=\"".(100 * 2)."\" /><img src=\"modules/Elezioni/images/barre/rightbar.gif\" height=\"$r_size[1]\" width=\"$r_size[0]\" alt=\"elettori\" /> 100 % ($tot_gen)</td></tr></table>";
-		 echo "</td></tr></table>";
-		 
-	}	
-
-        }
+			echo "<tr class=\"bggray2\">";
+			if ($genere==0){echo "<td><h2>$num_gruppo</h2></td>";}
+			echo "<td>$voti_t</td><td>$perc %</td><td>$numero</td></tr></table>";
+ // barre
+			echo "<table><tr><td><table><tr><td>&nbsp;"._VOTANTI."       : </td><td><img src=\"modules/Elezioni/images/barre/leftbar2.gif\" height=\"$l_size2[1]\" width=\"$l_size2[0]\" alt=\"votanti\" /><img src=\"modules/Elezioni/images/barre/mainbar2.gif\" alt=\"votanti\" height=\"$m_size2[1]\" width=\"". ($perc * 2)."\" /><img src=\"modules/Elezioni/images/barre/rightbar2.gif\" height=\"$r_size2[1]\" width=\"$r_size2[0]\" alt=\"votanti\" /><span class=\"red\"> $perc</span> % ($voti_t)<br /></td></tr>\n";
+			$tot_gen=$tot;
+			echo  "<tr><td>&nbsp;"._AVENTI.": </td><td><img src=\"modules/Elezioni/images/barre/leftbar.gif\" height=\"$l_size[1]\" width=\"$l_size[0]\" alt=\"elettori\" /><img src=\"modules/Elezioni/images/barre/mainbar.gif\" alt=\"elettori\" height=\"$m_size[1]\" width=\"".(100 * 2)."\" /><img src=\"modules/Elezioni/images/barre/rightbar.gif\" height=\"$r_size[1]\" width=\"$r_size[0]\" alt=\"elettori\" /> 100 % ($tot_gen)</td></tr></table>";
+			 echo "</td></tr></table>";
+		}	
+    }
 }
 
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 367)
+++ trunk/client/versione.php	(revision 368)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 367";
+$versione = "3.0 rev 368";
 $version_number = $versione;
-$datarel = "15 maggio 2022";
+$datarel = "17 maggio 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 