Index: /trunk/admin/versione.php
===================================================================
--- /trunk/admin/versione.php	(revision 369)
+++ /trunk/admin/versione.php	(revision 370)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 369";
+$versione = "3.0 rev 370";
 $version_number = $versione;
-$datarel = "23 maggio 2022";
+$datarel = "01 giugno 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: /trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- /trunk/client/modules/Elezioni/funzioni.php	(revision 369)
+++ /trunk/client/modules/Elezioni/funzioni.php	(revision 370)
@@ -457,14 +457,14 @@
 		if($simbolo!=''){
 			if (!file_exists("modules/Elezioni/images/$simbolo")) {
-
-		   		if(!is_writeable("modules/Elezioni/images")) 
-					die("la dir modules/Elezioni/images non ha i permessi di scrittura. Correggere per continuare");
-	
-			$filename=$simbolo;
-			$file=fopen("modules/Elezioni/images/$filename",'w');
-			if (fwrite($file,$stemma));
-			$close = fclose($file);
-			}
-			$logo=$simbolo;
+		   		if(!is_writeable("modules/Elezioni/images"))
+					$logo="logo.gif";
+				else {					
+					$filename=$simbolo;
+					$file=fopen("modules/Elezioni/images/$filename",'w');
+					if (fwrite($file,$stemma));
+					$close = fclose($file);
+					$logo=$simbolo;
+				}	
+			} else $logo=$simbolo;
 		}else{
 			$logo="logo.gif";
Index: /trunk/client/modules/Elezioni/index.php
===================================================================
--- /trunk/client/modules/Elezioni/index.php	(revision 369)
+++ /trunk/client/modules/Elezioni/index.php	(revision 370)
@@ -66,5 +66,6 @@
 $files=htmlentities($files); 
 $lettera=htmlentities($lettera); 
-$ordine=htmlentities($ordine); 
+$ordine=htmlentities($ordine);
+$cap=''; 
 global $limite;
 $sql="SELECT id_conf FROM ".$prefix."_ele_cons_comune where id_cons_gen='$id_cons_gen' and id_comune='$id_comune'" ;
@@ -133,9 +134,9 @@
 if ($rss!=1   && $xls!=1 && $pdf!=1){ 
     $index = 1;
-	$sql="SELECT descrizione,simbolo FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
-	list($descr_com,$simbolo) = $res->fetch(PDO::FETCH_NUM);
+	$sql="SELECT descrizione,simbolo,cap FROM ".$prefix."_ele_comuni where id_comune='$id_comune' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+
+	list($descr_com,$simbolo,$cap) = $res->fetch(PDO::FETCH_NUM);
         $descr_com =stripslashes($descr_com); 
 	# titolo pagina 2015
@@ -446,5 +447,5 @@
 function sezione() {
    global $admin, $prefix, $dbi, $offset, $min,$votog,$circo, $id_cons_gen,$id_circ,$descr_circ,$id_cons,$file,$prev,$next,$id_comune,$googlemaps;
-
+	global $descr_com,$cap;
  if(!isset($_GET['id_circ'])) unset($id_circ);
  dati();
@@ -454,5 +455,10 @@
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='0';
  if ($id_sede!='0' && $googlemaps!='1'){
- echo "<br /><div><img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_sede=".$id_sede."\" alt=\"mappa\" /></div>";
+	$sql="SELECT indirizzo FROM ".$prefix."_ele_sede where id_sede='$id_sede'";
+	$res1 = $dbi->prepare("$sql");
+	$res1->execute();
+	list($ind) = $res1->fetch(PDO::FETCH_NUM);
+	$indir=str_replace(" ","+",$ind."+".$descr_com."+".$cap);
+	echo "<br /><div><a href=\"https://maps.google.it/maps/place/".$indir."\"><img src=\"modules.php?name=Elezioni&amp;file=foto&amp;id_sede=".$id_sede."\" alt=\"mappa\" /></a></div>";
  }elseif($id_sede!='0' && $googlemaps=='1'){
     $mappa=googlemaps(); //echo $mappa;
Index: /trunk/client/modules/Elezioni/menu.php
===================================================================
--- /trunk/client/modules/Elezioni/menu.php	(revision 369)
+++ /trunk/client/modules/Elezioni/menu.php	(revision 370)
@@ -22,6 +22,9 @@
 	$rescomu = $dbi->prepare("$sql");
 	$rescomu->execute();
-
 	list($descr_com,$fascia)=$rescomu->fetch(PDO::FETCH_NUM);
+	$sql="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons_gen=$id_cons_gen";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+	if($rescomu->rowCount()) list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
         
 	
Index: /trunk/client/temi/facebook/menu.php
===================================================================
--- /trunk/client/temi/facebook/menu.php	(revision 369)
+++ /trunk/client/temi/facebook/menu.php	(revision 370)
@@ -25,15 +25,13 @@
         // definizione variabile per button 'ok' nei form per il noscript
 	$button="<br /><object><noscript><div><input name=\"vai\" type=\"image\" src=\"modules/Elezioni/images/ok2.jpg\" alt=\"ok\" title=\"ok\" /></div></noscript></object>";
-	
-	$sql="select descrizione from ".$prefix."_ele_comuni where id_comune=$id_comune";
+	$sql="select descrizione,fascia from ".$prefix."_ele_comuni where id_comune=$id_comune";
 	$rescomu = $dbi->prepare("$sql");
 	$rescomu->execute();
-
-	list($descr_com)=$rescomu->fetch(PDO::FETCH_NUM);
-	$sql="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons='$id_cons'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-
-	list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
+	list($descr_com,$fascia)=$rescomu->fetch(PDO::FETCH_NUM);
+	$sql="select id_fascia from ".$prefix."_ele_cons_comune where id_comune=$id_comune and id_cons_gen=$id_cons_gen";
+	$rescomu = $dbi->prepare("$sql");
+	$rescomu->execute();
+	if($rescomu->rowCount()) list($fascia)=$rescomu->fetch(PDO::FETCH_NUM);
+
         echo '
 	    <div id="contiene">
Index: /trunk/client/versione.php
===================================================================
--- /trunk/client/versione.php	(revision 369)
+++ /trunk/client/versione.php	(revision 370)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 369";
+$versione = "3.0 rev 370";
 $version_number = $versione;
-$datarel = "23 maggio 2022";
+$datarel = "01 giugno 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 