Index: trunk/admin/aggiornadb.php
===================================================================
--- trunk/admin/aggiornadb.php	(revision 374)
+++ trunk/admin/aggiornadb.php	(revision 375)
@@ -131,15 +131,18 @@
 }	
 ++$num;
-$sql="ALTER TABLE `soraldo_ele_come` CHANGE `title` `title` VARCHAR(150) NOT NULL DEFAULT ' ', CHANGE `preamble` `preamble` TEXT NOT NULL DEFAULT ' ', CHANGE `content` `content` TEXT NOT NULL DEFAULT ' ', CHANGE `editimage` `editimage` VARCHAR(100) NOT NULL DEFAULT ' '"; 
+$sql="ALTER TABLE `".$prefix."_ele_come` CHANGE `title` `title` VARCHAR(150) NOT NULL DEFAULT ' ', CHANGE `preamble` `preamble` TEXT NOT NULL DEFAULT ' ', CHANGE `content` `content` TEXT NOT NULL DEFAULT ' ', CHANGE `editimage` `editimage` VARCHAR(100) NOT NULL DEFAULT ' '"; 
 $ret=aggiorna($sql,$dbi,'',$num);
 echo "<br>";
+if(!$ret) echo "Il tuo sistema non necessita di questo aggiornamento, questo avviso di errore va ignorato<br>";
 ++$num;
-$sql="ALTER TABLE `soraldo_ele_link` CHANGE `title` `title` VARCHAR(150) NOT NULL DEFAULT ' ', CHANGE `preamble` `preamble` TEXT NOT NULL DEFAULT ' ', CHANGE `content` `content` TEXT NOT NULL DEFAULT ' ', CHANGE `editimage` `editimage` VARCHAR(100) NOT NULL DEFAULT ' '"; 
+$sql="ALTER TABLE `".$prefix."_ele_link` CHANGE `title` `title` VARCHAR(150) NOT NULL DEFAULT ' ', CHANGE `preamble` `preamble` TEXT NOT NULL DEFAULT ' ', CHANGE `content` `content` TEXT NOT NULL DEFAULT ' ', CHANGE `editimage` `editimage` VARCHAR(100) NOT NULL DEFAULT ' '"; 
 $ret=aggiorna($sql,$dbi,'',$num);
 echo "<br>";
+if(!$ret) echo "Il tuo sistema non necessita di questo aggiornamento, questo avviso di errore va ignorato<br>";
 ++$num;
-$sql="ALTER TABLE `soraldo_ele_servizi` CHANGE `title` `title` VARCHAR(150) NOT NULL DEFAULT ' ', CHANGE `preamble` `preamble` TEXT NOT NULL DEFAULT ' ', CHANGE `content` `content` TEXT NOT NULL DEFAULT ' ', CHANGE `editimage` `editimage` VARCHAR(100) NOT NULL DEFAULT ' '"; 
+$sql="ALTER TABLE `".$prefix."_ele_servizi` CHANGE `title` `title` VARCHAR(150) NOT NULL DEFAULT ' ', CHANGE `preamble` `preamble` TEXT NOT NULL DEFAULT ' ', CHANGE `content` `content` TEXT NOT NULL DEFAULT ' ', CHANGE `editimage` `editimage` VARCHAR(100) NOT NULL DEFAULT ' '"; 
 $ret=aggiorna($sql,$dbi,'',$num);
 echo "<br>";
+if(!$ret) echo "Il tuo sistema non necessita di questo aggiornamento, questo avviso di errore va ignorato<br>";
 
 if(controllo($prefix.'_ele_rilaff','data',++$num))
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 374)
+++ trunk/admin/versione.php	(revision 375)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 374";
+$versione = "3.0 rev 375";
 $version_number = $versione;
-$datarel = "05 settembre 2022";
+$datarel = "06 settembre 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 
Index: trunk/client/modules/Elezioni/crea_paginaphp5.php
===================================================================
--- trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 374)
+++ trunk/client/modules/Elezioni/crea_paginaphp5.php	(revision 375)
@@ -77,5 +77,5 @@
 			$html .= "</td></tr></table>";
         }
-		$html .= "<p style=\"text-align:center;\">$datipdf</p>";
+		if($pdf==1 or $csv==1) $html .= "<p style=\"text-align:center;\">$datipdf</p>";
 		$html .= "<table class=\"table-docs\">";
 		$y=1;$e=0;
Index: trunk/client/modules/Elezioni/crea_paginaphp7.php
===================================================================
--- trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 374)
+++ trunk/client/modules/Elezioni/crea_paginaphp7.php	(revision 375)
@@ -80,5 +80,5 @@
 			$html .= "</td></tr></table>";
         }
-		$html .= "<p style=\"text-align:center;\">$datipdf</p>";
+		if($pdf==1 or $csv==1) $html .= "<p style=\"text-align:center;\">$datipdf</p>";
 		$html .= "<table class=\"table-docs\">";
 		$y=1;$e=0;
Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 374)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 375)
@@ -510,5 +510,5 @@
 					echo "<input type=\"hidden\" name=\"id_lista\" value=\"$id_lista\"></input>";
 					echo "<input type=\"hidden\" name=\"pdf\" value=\"1\"></input>";
-					echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
+#					echo "<input type=\"hidden\" name=\"datipdf\" value=\"$datipdf\"></input>";
 	#				echo "<input type=\"hidden\" name=\"name\" value=\"$elezioni\"></input>";			
 					echo "<input type=\"hidden\" name=\"name\" value=\"Elezioni\"></input>";
Index: trunk/client/modules/Elezioni/index.php
===================================================================
--- trunk/client/modules/Elezioni/index.php	(revision 374)
+++ trunk/client/modules/Elezioni/index.php	(revision 375)
@@ -19,5 +19,5 @@
 if (isset($param['xls'])) $xls=intval($param['xls']); else $xls='0';
 if (isset($param['pdf'])) $pdf=intval($param['pdf']); else $pdf='0';
-if (isset($param['datipdf'])) $datipdf=addslashes($param['datipdf']); else $datipdf='';
+#if (isset($param['datipdf'])) $datipdf=addslashes($param['datipdf']); else $datipdf='';
 if(isset($param['visgralista'])) $visgralista=1;
 if (isset($param['id_comune'])) $id_comune=intval($param['id_comune']); else $id_comune=$siteistat;
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 374)
+++ trunk/client/versione.php	(revision 375)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "3.0 rev 374";
+$versione = "3.0 rev 375";
 $version_number = $versione;
-$datarel = "05 settembre 2022";
+$datarel = "06 settembre 2022";
 $version = "Eleonline $version_number (<i>Data Release: $datarel</i>)";
 